ZIP_DISCARD(3) | Library Functions Manual | ZIP_DISCARD(3)

# NAME

`zip_discard` —
close zip archive and discard changes

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

void
`zip_discard`(zip_t *archive);

# DESCRIPTION

The `zip_discard`() function closes archive and frees the memory allocated for it. Any changes to the archive are not written to disk and discarded.

# SEE ALSO

libzip(3), zip_close(3)

# HISTORY

`zip_discard`() was added in libzip 0.11.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35